scala.tools.nsc.ast.Trees

# Transformer

#### class Transformer extends Global.Transformer

Definition Classes
  Trees → Trees

Linear Supertypes
Global.Transformer, AnyRef, Any
Known Subclasses
CleanUpTransformer, ConstructorTransformer, DuplicateLabels, ErasureTransformer, ExplicitOuterTransformer, Extender, Flattener, LambdaLifter, LazyValues, MatchTransformer, MixinTransformer, OuterPathTransformer, PostErasureTransformer, RefCheckTransformer, RemoveBindingsTransformer, SampleTransformer, SpecializationTransformer, SuperAccTransformer, TailCallElimination, TreeReplacer, TypingTransformer, UnCurryTransformer, noopTransformer
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Transformer
2. Transformer
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Transformer()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Global.Transformer to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (Global.Transformer, B)

   Implicit information
     This member is added by an implicit conversion from Global.Transformer to ArrowAssoc[Global.Transformer] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     Transformer

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def currentClass: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

12. #### def currentMethod: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

13. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

14. #### def ensuring(cond: (Global.Transformer) ⇒ Boolean, msg: ⇒ Any): Global.Transformer

    Implicit information
      This member is added by an implicit conversion from Global.Transformer to Ensuring[Global.Transformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (Global.Transformer) ⇒ Boolean): Global.Transformer

    Implicit information
      This member is added by an implicit conversion from Global.Transformer to Ensuring[Global.Transformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): Global.Transformer

    Implicit information
      This member is added by an implicit conversion from Global.Transformer to Ensuring[Global.Transformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): Global.Transformer

    Implicit information
      This member is added by an implicit conversion from Global.Transformer to Ensuring[Global.Transformer] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Global.Transformer to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### def transform(tree: Global.Tree): Global.Tree

    Definition Classes
      Transformer

31. #### def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]

    Definition Classes
      Transformer

32. #### def transformIdents(trees: List[Global.Ident]): List[Global.Ident]

    Definition Classes
      Transformer

33. #### def transformModifiers(mods: Global.Modifiers): Global.Modifiers

    Definition Classes
      Transformer

34. #### def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Definition Classes
      Transformer

35. #### def transformTemplate(tree: Global.Template): Global.Template

    Definition Classes
      Transformer

36. #### def transformTrees(trees: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      Transformer

37. #### def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]

    Definition Classes
      Transformer

38. #### def transformUnit(unit: Global.CompilationUnit): Unit

39. #### def transformValDef(tree: Global.ValDef): Global.ValDef

    Definition Classes
      Transformer

40. #### def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]

    Definition Classes
      Transformer

41. #### def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]

    Definition Classes
      Transformer

42. #### val treeCopy: Global.TreeCopier

    Definition Classes
      Transformer

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def →[B](y: B): (Global.Transformer, B)

    Implicit information
      This member is added by an implicit conversion from Global.Transformer to ArrowAssoc[Global.Transformer] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Global.Transformer to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (transformer: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Global.Transformer to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (transformer: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: Global.Transformer

   Implicit information
     This member is added by an implicit conversion from Global.Transformer to ArrowAssoc[Global.Transformer] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (transformer: ArrowAssoc[Global.Transformer]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: Global.Transformer

   Implicit information
     This member is added by an implicit conversion from Global.Transformer to Ensuring[Global.Transformer] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (transformer: Ensuring[Global.Transformer]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.Transformer to StringAdd

### Inherited by implicit conversion any2stringfmt from Global.Transformer to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Global.Transformer to ArrowAssoc[Global.Transformer]

### Inherited by implicit conversion any2Ensuring from Global.Transformer to Ensuring[Global.Transformer]

### Ungrouped